summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2015-06-07 22:00:49 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-06-07 22:00:49 +0700
commit7abbc821762a0803f823a0c9c027416e49659a5b (patch)
tree0686b2477883b71a0502b359b12ff1e7ec62d5d0 /network
parent5a3766d25e09aaea4fbd6ee699142309a383c2ed (diff)
downloadslackbuilds-7abbc821762a0803f823a0c9c027416e49659a5b.tar.gz
slackbuilds-7abbc821762a0803f823a0c9c027416e49659a5b.tar.xz
network/opera-next: Added (Fast and secure web browser).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/opera-next/README8
-rw-r--r--network/opera-next/doinst.sh13
-rw-r--r--network/opera-next/opera-next.SlackBuild97
-rw-r--r--network/opera-next/opera-next.info10
-rw-r--r--network/opera-next/slack-desc19
5 files changed, 147 insertions, 0 deletions
diff --git a/network/opera-next/README b/network/opera-next/README
new file mode 100644
index 0000000000..610ebacd18
--- /dev/null
+++ b/network/opera-next/README
@@ -0,0 +1,8 @@
+opera-next (Fast and secure web browser and Internet suite).
+
+Opera is a small, fast, customizable, powerful and user-friendly web browser,
+as well as an Internet suite, including an email client, an IRC client, and
+web developer tools (Opera Dragonfly).
+
+Opera Next is a line of bleeding-edge releases of Opera, including alpha and
+beta versions in addition to final releases.
diff --git a/network/opera-next/doinst.sh b/network/opera-next/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/network/opera-next/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/opera-next/opera-next.SlackBuild b/network/opera-next/opera-next.SlackBuild
new file mode 100644
index 0000000000..ff61298b05
--- /dev/null
+++ b/network/opera-next/opera-next.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+#
+# Slackware build script for opera-next.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=opera-next
+VERSION=${VERSION:-12.16}
+REVNO=${REVNO:-1860}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ BITS="i386"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ BITS="i386"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ BITS="amd64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-${VERSION}-${REVNO}.${BITS}
+mkdir $PRGNAM-${VERSION}
+ar p $CWD/${PRGNAM}_${VERSION}.${REVNO}_${BITS}.deb data.tar.lzma | tar xvJ -C $PRGNAM-${VERSION}
+cd $PRGNAM-${VERSION}
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mv usr $PKG
+
+if [ -n "$LIBDIRSUFFIX" ]; then
+ mv $PKG/usr/lib $PKG/usr/lib$LIBDIRSUFFIX
+ sed -i "s,/lib/,/lib$LIBDIRSUFFIX/," $PKG/usr/bin/$PRGNAM
+fi
+
+mv $PKG/usr/share/{man,doc} $PKG/usr
+mv $PKG/usr/doc/$PRGNAM $PKG/usr/doc/${PRGNAM}-$VERSION
+cd $PKG/usr/doc/${PRGNAM}-$VERSION/
+gzip -dc changelog.Debian.gz > ChangeLog.Debian; gzip -dc changelog.gz > ChangeLog; rm -f *.gz
+cp copyright LICENSE; rm -f $PKG/usr/share/$PRGNAM/defaults/license.txt
+cp copyright $PKG/usr/share/$PRGNAM/defaults/license.txt
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/opera-next/opera-next.info b/network/opera-next/opera-next.info
new file mode 100644
index 0000000000..86dca4ba82
--- /dev/null
+++ b/network/opera-next/opera-next.info
@@ -0,0 +1,10 @@
+PRGNAM="opera-next"
+VERSION="12.16"
+HOMEPAGE="http://www.opera.com"
+DOWNLOAD="http://deb.opera.com/opera/pool/non-free/o/opera-next/opera-next_12.16.1860_i386.deb"
+MD5SUM="99d2c7f306f6ab013b3abd0893551389"
+DOWNLOAD_x86_64="http://deb.opera.com/opera/pool/non-free/o/opera-next/opera-next_12.16.1860_amd64.deb"
+MD5SUM_x86_64="c2c3a5fed1afc9c3abd88a32deeb4072"
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/network/opera-next/slack-desc b/network/opera-next/slack-desc
new file mode 100644
index 0000000000..a9db61aed5
--- /dev/null
+++ b/network/opera-next/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+opera-next: opera-next (Fast and secure web browser and Internet suite)
+opera-next:
+opera-next: Opera is a small, fast, customizable, powerful, and user-friendly web
+opera-next: browser, as well as an Internet suite, including an email client, an
+opera-next: IRC client, web developer tools (opera-next Dragonfly).
+opera-next:
+opera-next: http://www.opera.com/browser/
+opera-next:
+opera-next:
+opera-next:
+opera-next: